package com.YuyeTech.TPlat.service;


import com.YuyeTech.TPlat.dataobject.FriendInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface FriendInfoService {
    Page<FriendInfo> getFriendUserInfo(Pageable pageable,String userId);

    FriendInfo findByUserIdAndFriendId(String userId,String friendId);


    FriendInfo addFriendInfo(FriendInfo friendInfo);

    void deleteFriendInfo(String userId,String friendId);

    void deleteById(String id);


}
